%global momorel 4
%global srcrel 58240

# brp-strip-static-archive does not work...
%global __os_install_post /usr/lib/rpm/brp-compress; /usr/lib/rpm/brp-strip; /usr/lib/rpm/modify-init.d; /usr/lib/rpm/modify-la

Summary: A free internet radio player on demand
Name: last.fm
Version: 1.4.2
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://www.last.fm/
Group: Applications/Multimedia
Source0: http://cdn.last.fm/client/src/%{name}-%{version}.%{srcrel}.src.tar.bz2
NoSource: 0
Source1: %{name}.desktop
Source2: as48.png
Patch0: %{name}-%{version}.%{srcrel}-gcc43.patch
Patch1: %{name}-%{version}.%{srcrel}-x86_64.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: ImageMagick
BuildRequires: alsa-lib-devel
BuildRequires: coreutils
BuildRequires: fftw-devel
BuildRequires: glib2-devel
BuildRequires: libgpod-devel >= 0.7.0
BuildRequires: libmad
BuildRequires: libsamplerate-devel
BuildRequires: qt-devel

%description
With Last.fm on your computer you can scrobble your tracks,
share your music taste, listen to personalised radio streams,
and discover new music and people.
Last.fm is open source software and contains no spyware / adware.
(We hate that stuff as much as you do.)

%prep
%setup -q -n %{name}-%{version}.%{srcrel}

%patch0 -p1 -b .gcc43

# 64bit fix
%ifarch x86_64
%patch1 -p1 -b .fix-build
%endif

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# preparing...
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}/%{name}
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,32x32,48x48}/apps
mkdir -p %{buildroot}%{_datadir}/pixmaps

# install last.fm
cat <<END > %{buildroot}%{_bindir}/%{name}
#!/bin/bash
cd %{_libdir}/%{name}/
exec ./%{name}.sh $@
END

# fix up permission
chmod 755 %{buildroot}%{_bindir}/%{name}

# install last.fm
cp -a bin/* %{buildroot}%{_libdir}/%{name}/

# install desktop file
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/

# install icons
convert -scale 16x16 %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/as.png
convert -scale 32x32 %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/as.png
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/as.png

# link icon
ln -s ../icons/hicolor/48x48/apps/as.png %{buildroot}%{_datadir}/pixmaps/as.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/as.png
%{_datadir}/pixmaps/as.png

%changelog
* Wed Mar 18 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.2-4m)
- rebuild against libgpod-0.7.0

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4.2-3m)
- rebuild against rpm-4.6

* Wed Dec 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.2-2m)
- fix build on x86_64

* Wed Dec 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.2-1m)
- initial package for music freaks using Momonga Linux
